# Algorithms_in_C++: operations_on_datastructures::reverse_binary_tree::Node Struct Reference

Loading...
Searching...
No Matches
operations_on_datastructures::reverse_binary_tree::Node Struct Reference

A Node struct that represents a single node in a Binary Tree. More...

Collaboration diagram for operations_on_datastructures::reverse_binary_tree::Node:
[legend]

## Public Member Functions

| Node (int64_t _data)
| Creates a new Node with some initial data. More...

## Public Attributes

int64_t | data
| The value of the Node.
Node * | left
| The Node's left child.
Node * | right
| The Node's right child.

## Detailed Description

A Node struct that represents a single node in a Binary Tree.

## Constructor & Destructor Documentation

## Node()

operations_on_datastructures::reverse_binary_tree::Node::Node | ( | int64_t | _data | ) |

inlineexplicit

Creates a new Node with some initial data.

< Set value of Node data

< Initialize left child to NULL

< Initialize right child to NULL

{
data = _data; ///< Set value of Node data
left = nullptr; ///< Initialize left child to NULL
right = nullptr; ///< Initialize right child to NULL
}
operations_on_datastructures::reverse_binary_tree::Node::right
Node * right
The Node's right child.
Definition: reverse_binary_tree.cpp:37
operations_on_datastructures::reverse_binary_tree::Node::data
int64_t data
The value of the Node.
Definition: reverse_binary_tree.cpp:35
operations_on_datastructures::reverse_binary_tree::Node::left
Node * left
The Node's left child.
Definition: reverse_binary_tree.cpp:36

The documentation for this struct was generated from the following file:

- operations_on_datastructures/reverse_binary_tree.cpp